
set( lardata_VERSION 08.01.00 )
set( lardata_UPS_VERSION v08_01_00 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( larcoreobj  )
find_ups_product( canvas  )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
  cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_root(  )
find_ups_product( larcorealg  )
find_ups_product( lardataobj  )
find_ups_product( nusimdata  )
find_ups_product( dk2nudata v01_05_01 )
find_ups_product( lardataalg  )
find_ups_product( larcore  )
find_ups_product( art  )
find_ups_product( canvas_root_io  )
find_ups_product( nutools  )
find_ups_product( genie  )
find_ups_product( dk2nugenie  )
find_ups_product( libwda  )
find_ups_product( postgresql  )
find_ups_product( geant4  )
find_ups_product( xerces_c v3_0_0 )
  cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
  cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
  cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
  cet_find_library( XML2 NAMES xml2 PATHS /scratch/workspace/build-nulite/BUILDTYPE/debug/label1/swarm/label2/SLF7/build/libxml2/v2_9_5/Linux64bit+3.10-2.17-debug/lib NO_DEFAULT_PATH )
  cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
  cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREINSEHGAL NAMES GReinSehgal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
  cet_find_library( NUSIMDATA_SIMULATIONBASE NAMES nusimdata_SimulationBase PATHS ENV NUSIMDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
set(LARDATA_UTILITIES "$ENV{LARDATA_LIB}/liblardata_Utilities.so")
set(LARDATA_UTILITIES_DATABASEUTIL_SERVICE "$ENV{LARDATA_LIB}/liblardata_Utilities_DatabaseUtil_service.so")
set(LARDATA_UTILITIES_FILECATALOGMETADATAEXTRAS_SERVICE "$ENV{LARDATA_LIB}/liblardata_Utilities_FileCatalogMetadataExtras_service.so")
set(LARDATA_UTILITIES_LARPROPERTIESSERVICEARGONEUT_SERVICE "$ENV{LARDATA_LIB}/liblardata_Utilities_LArPropertiesServiceArgoNeuT_service.so")
set(LARDATA_UTILITIES_DETECTORPROPERTIESSERVICEARGONEUT_SERVICE "$ENV{LARDATA_LIB}/liblardata_Utilities_DetectorPropertiesServiceArgoNeuT_service.so")
set(LARDATA_UTILITIES_LARFFT_SERVICE "$ENV{LARDATA_LIB}/liblardata_Utilities_LArFFT_service.so")
set(LARDATA_UTILITIES_COMPUTEPI_MODULE "$ENV{LARDATA_LIB}/liblardata_Utilities_ComputePi_module.so")
set(LARDATA_RECOOBJECTS "$ENV{LARDATA_LIB}/liblardata_RecoObjects.so")
set(LARDATA_ARTDATAHELPER "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper.so")
set(LARDATA_ARTDATAHELPER_DUMPERS "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers.so")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPRAWDIGITS_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpRawDigits_module.so")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPOPDETWAVEFORMS_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpOpDetWaveforms_module.so")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPWIRES_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpWires_module.so")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPHITS_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpHits_module.so")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPCLUSTERS_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpClusters_module.so")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPSEEDS_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpSeeds_module.so")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPPCAXES_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpPCAxes_module.so")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPPFPARTICLES_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpPFParticles_module.so")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPSPACEPOINTS_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpSpacePoints_module.so")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPCHARGEDSPACEPOINTS_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpChargedSpacePoints_module.so")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPTRACKS_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpTracks_module.so")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPVERTICES_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpVertices_module.so")
set(LARDATA_ARTDATAHELPER_DUMPERS_DUMPSIMPHOTONSLITE_MODULE "$ENV{LARDATA_LIB}/liblardata_ArtDataHelper_Dumpers_DumpSimPhotonsLite_module.so")
set(LARDATA_RAWDATA_UTILS "$ENV{LARDATA_LIB}/liblardata_RawData_utils.so")
set(LARDATA_RAWDATA_UTILS_LARRAWINPUTSOURCE_SOURCE "$ENV{LARDATA_LIB}/liblardata_RawData_utils_LArRawInputSource_source.so")
set(LARDATA_DETECTORINFOSERVICES_DETECTORCLOCKSSERVICESTANDARD_SERVICE "$ENV{LARDATA_LIB}/liblardata_DetectorInfoServices_DetectorClocksServiceStandard_service.so")
set(LARDATA_DETECTORINFOSERVICES_DETECTORPROPERTIESSERVICESTANDARD_SERVICE "$ENV{LARDATA_LIB}/liblardata_DetectorInfoServices_DetectorPropertiesServiceStandard_service.so")
set(LARDATA_DETECTORINFOSERVICES_LARPROPERTIESSERVICESTANDARD_SERVICE "$ENV{LARDATA_LIB}/liblardata_DetectorInfoServices_LArPropertiesServiceStandard_service.so")
set(LARDATA_RECOBASEPROXY "$ENV{LARDATA_LIB}/liblardata_RecoBaseProxy.so")
set(TEST_UTILITIES_TESTASSNSCHAINUTILS_ASSNSCHAINTEST_MODULE "$ENV{LARDATA_LIB}/libtest_Utilities_testAssnsChainUtils_AssnsChainTest_module.so")
set(TEST_DETECTORINFOSERVICES_LARPROPTEST_MODULE "$ENV{LARDATA_LIB}/libtest_DetectorInfoServices_LArPropTest_module.so")
set(TEST_DETECTORINFOSERVICES_SERVICEPACKTEST_MODULE "$ENV{LARDATA_LIB}/libtest_DetectorInfoServices_ServicePackTest_module.so")
set(TEST_ARTDATAHELPER_HITCOLLECTIONCREATORTEST_MODULE "$ENV{LARDATA_LIB}/libtest_ArtDataHelper_HitCollectionCreatorTest_module.so")
set(TEST_ARTDATAHELPER_HITDATAPRODUCTCHECKER_MODULE "$ENV{LARDATA_LIB}/libtest_ArtDataHelper_HitDataProductChecker_module.so")
set(TEST_RECOBASEPROXY_PROXYBASETEST_MODULE "$ENV{LARDATA_LIB}/libtest_RecoBaseProxy_ProxyBaseTest_module.so")
set(TEST_RECOBASEPROXY_TRACKPROXYTEST_MODULE "$ENV{LARDATA_LIB}/libtest_RecoBaseProxy_TrackProxyTest_module.so")
set(TEST_RECOBASEPROXY_TRACKPROXYHITMAKER_MODULE "$ENV{LARDATA_LIB}/libtest_RecoBaseProxy_TrackProxyHitMaker_module.so")
set(TEST_RECOBASEPROXY_TRACKPROXYTRACKMAKER_MODULE "$ENV{LARDATA_LIB}/libtest_RecoBaseProxy_TrackProxyTrackMaker_module.so")
set(TEST_RECOBASEPROXY_CHARGEDSPACEPOINTPROXYTEST_MODULE "$ENV{LARDATA_LIB}/libtest_RecoBaseProxy_ChargedSpacePointProxyTest_module.so")
set(TEST_RECOBASEPROXY_CHARGEDSPACEPOINTPROXYINPUTMAKER_MODULE "$ENV{LARDATA_LIB}/libtest_RecoBaseProxy_ChargedSpacePointProxyInputMaker_module.so")
  include_directories ( "$ENV{LARDATA_INC}" )

check_required_components(lardata)

